<?php


namespace AutoAdmin\Bundle\Content\Routing;


interface ContentAutoRouterInterface
{
    public function supports(?object $subject, string $contentSlug = null): bool;

    public function buildUrl(ContentRouter $router, object $subject, ?string $route, array $parameters = [], array $options = []);
}
